petsc-3.10.5 2019-03-28
Report Typos and Errors

# PFSetFromOptions

Sets PF options from the options database.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFSetFromOptions(PF pf)

Collective on PF

### Input Parameters

pf -the mathematical function context

### Options Database Keys

### Notes

To see all options, run your program with the -help option or consult the users manual.

### Keywords

PF, set, from, options, database

### See Also

### Level

intermediate

### Location

src/vec/pf/interface/pf.c

### Examples

src/dm/examples/tutorials/ex4.c.html

### Implementations

PFSetFromOptions_Constant in src/vec/pf/impls/constant/const.c
PFSetFromOptions_Matlab in src/vec/pf/impls/matlab/cmatlab.c
PFSetFromOptions_String in src/vec/pf/impls/string/cstring.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages